package com.xy.alipay;

import com.xy.dto.spi.DeviceAlarmNotifyDTO;
import com.xy.dto.spi.DeviceStatusChangeNotifyDTO;
import com.xy.work.SpiDeviceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * spi 设备相关
 *
 * @author 谭斌
 * @date 2023/04/16
 */
@Service
@AllArgsConstructor
@Slf4j
@Api(tags = "支付宝设备相关SPI")
public class SpiDeviceServiceImpl implements SpiDeviceService {

    @Override
    @ApiOperation("设备告警通知")
    public void deviceAlarmNotify(Map<String, String> params, DeviceAlarmNotifyDTO deviceAlarmNotifyDTO) {

    }

    @Override
    @ApiOperation("设备状态变更通知")
    public void deviceStatusChangeNotify(Map<String, String> params, DeviceStatusChangeNotifyDTO deviceStatusChangeNotifyDTO) {

    }
}
